# Node.js dependencies
node_modules/
 
# Logs
logs/
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*

# Environment variables
.env
.env.local
.env.*.local

# Build output
build/
dist/

# Dependency directories
.cache/
.docker/

# Coverage reports
coverage/

# System files
.DS_Store
Thumbs.db
*.swp
*.swo

# IDE-specific files
.idea/
*.iml
.vscode/
*.sublime-workspace

# Temporary files
tmp/
temp/

# Generated files
*.lock
*.env.local
*.env.development.local
*.env.test.local
*.env.production.local

# MacOS specific files
.AppleDouble
.LSOverride

# Windows specific files
desktop.ini

# Miscellaneous
!.gitkeep
